"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_2 = require("@storybook/react");
var Demo_1 = tslib_1.__importDefault(require("../demo/Demo"));
var Menu_1 = require("./Menu");
var Menu_page_styl_1 = tslib_1.__importDefault(require("./Menu.page.styl"));
var theme = {
    container: Menu_page_styl_1.default.list,
};
var Item = function (props) { return react_1.default.createElement(Menu_1.MenuItem, tslib_1.__assign({}, props, { theme: theme })); };
var Group = function (props) { return react_1.default.createElement(Menu_1.MenuItemGroup, tslib_1.__assign({}, props, { theme: theme })); };
var onItemSelect = function (value) {
    console.log('selected', value);
};
react_2.storiesOf('Menu', module).add('default', function () {
    return (react_1.default.createElement(Demo_1.default, null,
        react_1.default.createElement(Menu_1.Menu, { onItemSelect: onItemSelect, theme: theme },
            react_1.default.createElement(Item, { value: "1.1" }, "1.1"),
            react_1.default.createElement(Item, { value: "1.2" }, "1.2"),
            react_1.default.createElement(Group, { header: "2" },
                react_1.default.createElement(Menu_1.Menu, null,
                    react_1.default.createElement(Item, { value: "2.1" }, "2.1"),
                    react_1.default.createElement(Item, { value: "2.2" }, "2.2"),
                    react_1.default.createElement(Group, { header: "3" },
                        react_1.default.createElement(Menu_1.Menu, null,
                            react_1.default.createElement(Item, { value: "3.1" }, "3.1"),
                            react_1.default.createElement(Item, { value: "3.2" }, "3.2"),
                            react_1.default.createElement(Group, { header: "3.3" },
                                react_1.default.createElement(Menu_1.Menu, null,
                                    react_1.default.createElement(Item, { value: "3.3.1" }, "3.3.1"),
                                    react_1.default.createElement(Item, { value: "3.3.2" }, "3.3.2"),
                                    react_1.default.createElement(Item, { value: "3.3.3" }, "3.3.3"))),
                            react_1.default.createElement(Item, { value: "3.4" }, "3.4"))))))));
});
//# sourceMappingURL=Menu.page.js.map