import React from 'react';
import { TSteppableInputProps } from '../SteppableInput/SteppableInput';
import { TControlProps } from '../Control/Control';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
import { ComponentClass } from 'react';
import { TInputProps } from '../input/Input';
export declare const NUMERIC_STEPPER: symbol;
export declare type TNumericStepperOwnProps = TSteppableInputProps & TControlProps<any> & {
    step: number;
    min: number;
    max: number;
    parser?: any;
    formatter?: any;
    manualEdit: boolean;
};
export declare type TNumericStepperFullProps = TNumericStepperOwnProps & {
    SteppableInput: React.ComponentClass<TSteppableInputProps> | React.SFC<TSteppableInputProps>;
    theme: {
        SteppableInput?: TSteppableInputProps['theme'];
        Input?: TInputProps['theme'];
    };
};
export declare type TNumericStepperProps = PartialKeys<TNumericStepperFullProps, 'theme' | 'SteppableInput' | 'step' | 'max' | 'min' | 'manualEdit'>;
export declare const NumericStepper: ComponentClass<TNumericStepperProps>;
