import React from 'react';
import { TButtonIconProps } from '../ButtonIcon/ButtonIcon';
import { TInputProps } from '../input/Input';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
import { ComponentType } from 'react';
export declare const PASSWORD_INPUT: symbol;
export declare type TFullPasswordInputProps = TInputProps & {
    theme: {
        container?: string;
        Input?: TInputProps['theme'];
        RevealButton?: TButtonIconProps['theme'];
    };
    Button?: React.ComponentClass<TButtonIconProps>;
    Input?: React.ComponentClass<TInputProps>;
    isDisabled?: boolean;
    IconShow: ComponentType<any>;
    IconHide: ComponentType<any>;
    isRevealed: boolean;
    onReveal: (isRevealed: boolean) => void;
};
export declare class RawPasswordInput extends React.Component<TFullPasswordInputProps> {
    render(): JSX.Element;
    onClickRevealButton: () => void;
}
export declare type TPasswordInputProps = PartialKeys<TFullPasswordInputProps, 'theme'>;
export declare const PasswordInput: React.ComponentClass<TPasswordInputProps>;
