"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_2 = require("@storybook/react");
var Scrollable_1 = require("./Scrollable");
var Demo_1 = tslib_1.__importDefault(require("../demo/Demo"));
var Scrollable_page_styl_1 = tslib_1.__importDefault(require("./Scrollable.page.styl"));
var pure_1 = require("../../utils/pure");
var Pure_1 = require("../Pure/Pure");
var darkDemoTheme = {
    container: Scrollable_page_styl_1.default.container,
};
var Heavy = function () { return (react_1.default.createElement("div", null,
    react_1.default.createElement("p", null, "Sit nulla est ex deserunt exercitation anim occaecat. Nostrud ullamco deserunt aute id consequat veniam incididunt duis in sint irure nisi. Mollit officia cillum Lorem ullamco minim nostrud elit officia tempor esse quis. Cillum sunt ad dolore quis aute consequat ipsum magna exercitation reprehenderit magna. Tempor cupidatat consequat elit dolor adipisicing."),
    react_1.default.createElement("p", null, "Dolor eiusmod sunt ex incididunt cillum quis nostrud velit duis sit officia. Lorem aliqua enim laboris do dolor eiusmod officia. Mollit incididunt nisi consectetur esse laborum eiusmod pariatur proident. Eiusmod et adipisicing culpa deserunt nostrud ad veniam nulla aute est. Labore esse esse cupidatat amet velit id elit consequat minim ullamco mollit enim excepteur ea. Adipisicing aliqua proident occaecat do do adipisicing adipisicing ut fugiat culpa. Pariatur ullamco aute sunt esse adipisicing. Excepteur eu non eiusmod occaecat commodo commodo et ad ipsum elit."),
    react_1.default.createElement("p", null, "Sit adipisicing sunt excepteur enim nostrud pariatur incididunt duis commodo mollit esse veniam. Exercitation dolore occaecat ea nostrud laboris nisi adipisicing occaecat fugiat fugiat irure. In magna non consectetur proident fugiat cupidatat commodo magna et. Elit sint cupidatat dolor sint. Ullamco enim cillum anim ex eu. Eiusmod commodo occaecat consequat laboris est do duis ullamco. Incididunt non culpa velit quis aute in elit. Ullamco in consequat ex proident do eu dolore incididunt mollit fugiat. Cupidatat ipsum laborum cillum quis commodo consequat velit cupidatat duis ex nisi non."),
    react_1.default.createElement("p", null, "Ea pariatur do culpa minim. Proident adipisicing tempor tempor qui pariatur voluptate dolor. Ea commodo id veniam voluptate cupidatat ex. Do ullamco in quis elit eiusmod veniam cillum proident veniam cupidatat pariatur."),
    react_1.default.createElement("p", null, "Cupidatat anim eiusmod id nostrud pariatur tempor reprehenderit incididunt do esse ullamco laboris sunt. Est ea exercitation cupidatat ipsum do Lorem eiusmod aliqua culpa ullamco consectetur veniam. Cillum velit dolor consequat cillum tempor laboris mollit laborum reprehenderit reprehenderit veniam aliqua deserunt cupidatat. Id aliqua occaecat est id tempor. Enim labore sint aliquip consequat duis minim tempor proident. Dolor incididunt aliquip minim elit ea. Exercitation non officia eu id. Ea ipsum ipsum consequat incididunt do aliquip pariatur nostrud aute qui. Sint culpa labore Lorem ex magna deserunt aliquip aute duis consectetur magna amet anim ad. Fugiat est nostrud veniam ad officia duis ea sunt aliqua laboris magna. Minim officia aute anim minim aute aliquip aute non in non. Ipsum aliquip proident ut dolore eiusmod ad fugiat fugiat ut ex. Ea velit Lorem ut et commodo nulla voluptate veniam ea et aliqua esse id. Pariatur dolor et adipisicing ea mollit."))); };
var SmallContent = function (props) { return (react_1.default.createElement("div", { className: props.className },
    react_1.default.createElement("p", null, "Sit nulla est ex deserunt exercitation anim occaecat. Nostrud ullamco deserunt aute id consequat veniam incididunt duis in sint irure nisi. Mollit officia cillum Lorem ullamco minim nostrud elit officia tempor esse quis. Cillum sunt ad dolore quis aute consequat ipsum magna exercitation reprehenderit magna. Tempor cupidatat consequat elit dolor adipisicing."))); };
var ScrollablePage = /** @class */ (function (_super) {
    tslib_1.__extends(ScrollablePage, _super);
    function ScrollablePage() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            scrollTop: 0,
            scrollLeft: 0,
        };
        _this.onScroll = function (scrollLeft, scrollTop) {
            _this.setState({
                scrollLeft: scrollLeft,
                scrollTop: scrollTop,
            });
            return {};
        };
        return _this;
    }
    ScrollablePage.prototype.render = function () {
        var _this = this;
        return (react_1.default.createElement(Demo_1.default, { theme: darkDemoTheme },
            react_1.default.createElement(Pure_1.Pure, null, function () { return (react_1.default.createElement("section", { className: Scrollable_page_styl_1.default.section },
                react_1.default.createElement("h1", null, "Origin"),
                react_1.default.createElement(Scrollable_1.Scrollable, { onScroll: _this.onScroll },
                    react_1.default.createElement("div", { className: Scrollable_page_styl_1.default.scrollable },
                        react_1.default.createElement(Heavy, null))))); }),
            react_1.default.createElement(Pure_1.Pure, { check: this.state.scrollTop }, function () { return (react_1.default.createElement("section", { className: Scrollable_page_styl_1.default.section },
                react_1.default.createElement("h1", null, "VSync"),
                react_1.default.createElement(Scrollable_1.Scrollable, { scrollTop: _this.state.scrollTop },
                    react_1.default.createElement("div", { className: Scrollable_page_styl_1.default.scrollable },
                        react_1.default.createElement(Heavy, null))))); }),
            react_1.default.createElement(Pure_1.Pure, { check: this.state.scrollLeft }, function () { return (react_1.default.createElement("section", { className: Scrollable_page_styl_1.default.section },
                react_1.default.createElement("h1", null, "HSync"),
                react_1.default.createElement(Scrollable_1.Scrollable, { scrollLeft: _this.state.scrollLeft },
                    react_1.default.createElement("div", { className: Scrollable_page_styl_1.default.scrollable },
                        react_1.default.createElement(Heavy, null))))); }),
            react_1.default.createElement("section", { className: Scrollable_page_styl_1.default.section },
                react_1.default.createElement("h1", null, "VHSync"),
                react_1.default.createElement(Scrollable_1.Scrollable, { scrollTop: this.state.scrollTop, scrollLeft: this.state.scrollLeft },
                    react_1.default.createElement("div", { className: Scrollable_page_styl_1.default.scrollable },
                        react_1.default.createElement(Heavy, null)))),
            react_1.default.createElement("section", { className: Scrollable_page_styl_1.default.section },
                react_1.default.createElement("h1", null, "Scrollbars overlay content"),
                react_1.default.createElement(Scrollable_1.Scrollable, { shouldOverlayContent: true },
                    react_1.default.createElement("div", { className: Scrollable_page_styl_1.default.scrollable },
                        react_1.default.createElement(Heavy, null)))),
            react_1.default.createElement("section", { className: Scrollable_page_styl_1.default.section },
                react_1.default.createElement("h1", null, "Only vertical scrollbar"),
                react_1.default.createElement(Scrollable_1.Scrollable, null,
                    react_1.default.createElement("div", { className: Scrollable_page_styl_1.default.scrollable },
                        react_1.default.createElement(SmallContent, { className: Scrollable_page_styl_1.default.contentLong })))),
            react_1.default.createElement("section", { className: Scrollable_page_styl_1.default.section },
                react_1.default.createElement("h1", null, "Only horizontal scrollbar"),
                react_1.default.createElement(Scrollable_1.Scrollable, null,
                    react_1.default.createElement("div", { className: Scrollable_page_styl_1.default.scrollable },
                        react_1.default.createElement(SmallContent, { className: Scrollable_page_styl_1.default.contentWide })))),
            react_1.default.createElement("section", { className: Scrollable_page_styl_1.default.section },
                react_1.default.createElement("h1", null, "No scrollbars"),
                react_1.default.createElement(Scrollable_1.Scrollable, null,
                    react_1.default.createElement("div", { className: Scrollable_page_styl_1.default.scrollable },
                        react_1.default.createElement(SmallContent, { className: Scrollable_page_styl_1.default.contentFit }))))));
    };
    ScrollablePage = tslib_1.__decorate([
        pure_1.PURE
    ], ScrollablePage);
    return ScrollablePage;
}(react_1.default.Component));
react_2.storiesOf('Scrollable', module).add('default', function () { return react_1.default.createElement(ScrollablePage, null); });
//# sourceMappingURL=Scrollable.page.js.map