"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_dom_1 = tslib_1.__importDefault(require("react-dom"));
var react_2 = require("@storybook/react");
var addon_actions_1 = require("@storybook/addon-actions");
var SteppableInput_page_styl_1 = tslib_1.__importDefault(require("./theme/SteppableInput.page.styl"));
var add_icon_1 = require("../../icons/add-icon");
var decrease_icon_1 = require("../../icons/decrease-icon");
var small_cross_icon_1 = require("../../icons/small-cross-icon");
var SteppableInput_1 = require("./SteppableInput");
var Demo_1 = require("../demo/Demo");
var DemoInput = /** @class */ (function (_super) {
    tslib_1.__extends(DemoInput, _super);
    function DemoInput() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.onFocus = function (e) {
            var input = react_dom_1.default.findDOMNode(_this.input);
            input.focus();
        };
        return _this;
    }
    DemoInput.prototype.render = function () {
        var _this = this;
        var _a = this.props, onIncrement = _a.onIncrement, onDecrement = _a.onDecrement, error = _a.error, onClear = _a.onClear, isDisabled = _a.isDisabled;
        return (react_1.default.createElement("div", null,
            react_1.default.createElement(SteppableInput_1.SteppableInput, { onIncrement: onIncrement, onDecrement: onDecrement, onClear: onClear, error: error, onFocus: this.onFocus, clearIcon: react_1.default.createElement(small_cross_icon_1.SmallCrossIcon, null), decrementIcon: react_1.default.createElement(decrease_icon_1.DecreaseIcon, null), incrementIcon: react_1.default.createElement(add_icon_1.AddIcon, null), isDisabled: isDisabled },
                react_1.default.createElement("input", { className: SteppableInput_page_styl_1.default.customInput, tabIndex: -1, disabled: isDisabled, ref: function (el) { return (_this.input = el); } }))));
    };
    return DemoInput;
}(react_1.default.Component));
react_2.storiesOf('SteppableInput', module).add('default', function () {
    return (react_1.default.createElement(Demo_1.Demo, null,
        react_1.default.createElement(DemoInput, { onIncrement: addon_actions_1.action('increment'), onDecrement: addon_actions_1.action('decremnt') }),
        react_1.default.createElement(DemoInput, { onClear: addon_actions_1.action('clear') }),
        react_1.default.createElement(DemoInput, { onIncrement: addon_actions_1.action('increment'), isDisabled: true, onDecrement: addon_actions_1.action('decremnt'), onClear: addon_actions_1.action('clear') }),
        react_1.default.createElement(DemoInput, { onIncrement: addon_actions_1.action('increment'), onDecrement: addon_actions_1.action('decremnt'), onClear: addon_actions_1.action('clear') }),
        react_1.default.createElement(DemoInput, { onIncrement: addon_actions_1.action('increment'), onDecrement: addon_actions_1.action('decremnt'), error: 'Error', onClear: addon_actions_1.action('clear') })));
});
//# sourceMappingURL=SteppableInput.page.js.map