"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_2 = require("react");
var Demo_1 = tslib_1.__importDefault(require("../demo/Demo"));
var ToggleButtons_1 = require("./ToggleButtons");
var Button_1 = require("../Button/Button");
var Link_1 = require("../Link/Link");
var pure_1 = require("../../utils/pure");
var react_3 = require("@storybook/react");
var addon_actions_1 = require("@storybook/addon-actions");
var ToggleButtonsPage = /** @class */ (function (_super) {
    tslib_1.__extends(ToggleButtonsPage, _super);
    function ToggleButtonsPage() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            toggleIndex: 0,
        };
        _this.onToggleChange = function (i) {
            _this.setState({
                toggleIndex: i,
            });
        };
        return _this;
    }
    ToggleButtonsPage.prototype.render = function () {
        return (react_1.default.createElement(Demo_1.default, null,
            react_1.default.createElement(ToggleButtons_1.ToggleButtons, { defaultIndex: 1, onChange: this.onToggleChange },
                react_1.default.createElement(Link_1.Link, null, "Toggle Link 1"),
                react_1.default.createElement(Link_1.Link, null, "Toggle Link 2"),
                react_1.default.createElement(Link_1.Link, null, "Toggle Link 3")),
            react_1.default.createElement(ToggleButtons_1.ToggleButtons, { toggleIndex: this.state.toggleIndex, isVertical: true, onChange: this.onToggleChange },
                react_1.default.createElement(Button_1.Button, null, "Toggle 4"),
                react_1.default.createElement(Button_1.Button, null, "Toggle 5"),
                react_1.default.createElement(Button_1.Button, null, "Toggle 6")),
            react_1.default.createElement(ToggleButtons_1.ToggleButtons, { toggleIndex: this.state.toggleIndex, isDisabled: true, onChange: this.onToggleChange },
                react_1.default.createElement(Button_1.Button, null, "Toggle 7"),
                react_1.default.createElement(Button_1.Button, null, "Toggle 8"),
                react_1.default.createElement(Button_1.Button, null, "Toggle 9")),
            react_1.default.createElement(ToggleButtons_1.ToggleButtons, { toggleIndex: this.state.toggleIndex, onChange: this.onToggleChange },
                react_1.default.createElement(Button_1.Button, { onClick: addon_actions_1.action('clicked on Toggle 10') }, "Toggle 10"),
                react_1.default.createElement(Button_1.Button, { onClick: addon_actions_1.action('clicked on Toggle 11') }, "Toggle 11"),
                react_1.default.createElement(Button_1.Button, { onClick: addon_actions_1.action('clicked on Toggle 12') }, "Toggle 12"))));
    };
    ToggleButtonsPage = tslib_1.__decorate([
        pure_1.PURE
    ], ToggleButtonsPage);
    return ToggleButtonsPage;
}(react_2.Component));
react_3.storiesOf('Toggle Buttons', module).add('default', function () { return react_1.default.createElement(ToggleButtonsPage, null); });
//# sourceMappingURL=ToggleButtons.page.js.map