"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_2 = require("@storybook/react");
var addon_actions_1 = require("@storybook/addon-actions");
var Demo_1 = require("../demo/Demo");
var Input_1 = require("./Input");
var Input_page_styl_1 = tslib_1.__importDefault(require("./Input.page.styl"));
var Input_demo_styl_1 = tslib_1.__importDefault(require("./Input.demo.styl"));
var Control_1 = require("../Control/Control");
var darkDemoTheme = {
    container: Input_page_styl_1.default.container,
};
var Stateful = Control_1.stateful()(Input_1.Input);
react_2.storiesOf('Input', module)
    .add('Default', function () { return (react_1.default.createElement(Demo_1.Demo, { theme: darkDemoTheme },
    react_1.default.createElement(Stateful, { defaultValue: "<Input/>", onValueChange: addon_actions_1.action('change') }),
    react_1.default.createElement(Input_1.Input, { type: "hidden", tabIndex: 0, value: "123", onValueChange: undefined },
        react_1.default.createElement("div", { className: Input_demo_styl_1.default.input }, "div")))); })
    .add('Readonly', function () {
    return (react_1.default.createElement(Demo_1.Demo, { theme: darkDemoTheme },
        react_1.default.createElement(Stateful, { defaultValue: "<Input/>", isReadOnly: true })));
})
    .add('Disabled', function () {
    return (react_1.default.createElement(Demo_1.Demo, { theme: darkDemoTheme },
        react_1.default.createElement(Stateful, { defaultValue: "Test Value", isDisabled: true })));
})
    .add('Invalid', function () { return (react_1.default.createElement(Demo_1.Demo, { theme: darkDemoTheme },
    react_1.default.createElement(Stateful, { defaultValue: "Error", error: "Error" }))); });
//# sourceMappingURL=Input.page.js.map