import { Component, ReactNode } from 'react';
export declare type ReactRef<P = any> = Component<P> | Element | null;
export declare type WithInnerRef<P> = P & {
    innerRef: (instance: ReactRef) => void;
};
export declare type ReactChildren<C extends ReactNode> = C | C[];
