import { PartialKeys } from '@devexperts/utils/dist/object/object';
import { ComponentClass } from 'react';
import { TMenuItemProps } from '../Menu/Menu';
import { THighlightProps } from '../Highlight/Highlight';
export declare type TFullAutocompleteMenuItemProps = TMenuItemProps & {
    search: string;
    value: string;
    theme: TMenuItemProps['theme'] & {
        Highlight?: THighlightProps['theme'];
    };
};
export declare type TAutocompleteMenuItemProps = PartialKeys<TFullAutocompleteMenuItemProps, 'theme' | 'search'>;
export declare const AutocompleteMenuItem: ComponentClass<TAutocompleteMenuItemProps>;
