import { TExpandableHandlerProps } from './ExpandableHandler';
import { ComponentClass } from 'react';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
import { TControlProps } from '../Control/Control';
export declare const EXPANDABLE: symbol;
export declare type TFullExpandableProps = TControlProps<boolean | undefined | null> & {
    theme: {
        container?: string;
        handler?: string;
        container_isExpanded?: string;
        Handler?: TExpandableHandlerProps['theme'];
        content?: string;
    };
    Handler: any;
};
export declare type TExpandableProps = PartialKeys<TFullExpandableProps, 'theme' | 'Handler'>;
export declare const Expandable: ComponentClass<TExpandableProps>;
