"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var react_2 = require("@storybook/react");
var Demo_1 = tslib_1.__importDefault(require("../demo/Demo"));
var Button_1 = require("../Button/Button");
var Holdable_1 = require("./Holdable");
var HoldableDemo = /** @class */ (function (_super) {
    tslib_1.__extends(HoldableDemo, _super);
    function HoldableDemo() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            value: 0,
        };
        _this.onIncrementValue = function () {
            _this.setState({
                value: _this.state.value + 1,
            });
        };
        return _this;
    }
    HoldableDemo.prototype.render = function () {
        return (react_1.default.createElement(Demo_1.default, null,
            react_1.default.createElement(Holdable_1.Holdable, { onHold: this.onIncrementValue },
                react_1.default.createElement(Button_1.Button, { onClick: this.onIncrementValue }, "Click and hold: " + this.state.value))));
    };
    return HoldableDemo;
}(react_1.default.Component));
react_2.storiesOf('Holdable', module).add('default', function () { return react_1.default.createElement(HoldableDemo, null); });
//# sourceMappingURL=Holdable.page.js.map