"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var pure_1 = require("../../utils/pure");
var withTheme_1 = require("../../utils/withTheme");
exports.LOADING_INDICATOR = Symbol('LoadingIndicator');
var RawLoadingIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(RawLoadingIndicator, _super);
    function RawLoadingIndicator() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RawLoadingIndicator.prototype.render = function () {
        var theme = this.props.theme;
        return react_1.default.createElement("div", { className: theme.container });
    };
    RawLoadingIndicator = tslib_1.__decorate([
        pure_1.PURE
    ], RawLoadingIndicator);
    return RawLoadingIndicator;
}(react_1.default.Component));
exports.LoadingIndicator = withTheme_1.withTheme(exports.LOADING_INDICATOR)(RawLoadingIndicator);
//# sourceMappingURL=LoadingIndicator.js.map