import { Component, MouseEventHandler, ReactNode } from 'react';
import { ReactRef } from '../../utils/typings';
export declare type TRawPopupUIProps = {
    theme: {
        container?: string;
        header?: string;
        body?: string;
        footer?: string;
        backdrop?: string;
        backdrop_isModal?: string;
        backdrop_closeOnClickAway?: string;
    };
    children: ReactNode;
    header?: ReactNode;
    footer?: ReactNode;
    isModal?: boolean;
    shouldCloseOnClickAway?: boolean;
};
export declare type TRawPopupUIFullProps = TRawPopupUIProps & {
    innerRef?: (instance: ReactRef) => void;
    onBackdropClick: MouseEventHandler<HTMLElement>;
};
export declare class PopupUI extends Component<TRawPopupUIFullProps> {
    render(): JSX.Element;
    private getRef;
    private handleBackdropClick;
}
