"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var placeholder_component_styl_1 = tslib_1.__importDefault(require("./placeholder.component.styl"));
var iconTheme = {
    container: placeholder_component_styl_1.default.icon,
};
exports.Placeholder = function (props) {
    var className = props.className, fits = props.fits, isMaximized = props.isMaximized;
    return (react_1.default.createElement("div", { className: className },
        !fits && 'X',
        isMaximized && react_1.default.createElement("div", { className: placeholder_component_styl_1.default.hint }, "Maximized")));
};
//# sourceMappingURL=placeholder.component.js.map