import React from 'react';
import { DraggableEventHandler } from 'react-draggable';
import { LAYOUT_THEME, LayoutOrientation } from './layout.constants';
export declare type TResizeHandlerProps = {
    onDrag?: DraggableEventHandler;
    onDragStart?: (previousId: string, nextId: string, e: any, data: any) => void;
    onDragStop?: DraggableEventHandler;
    onMouseDown?: (e: Event) => void;
    theme: LAYOUT_THEME;
    size: number;
    previousId: string;
    nextId: string;
    offset: number;
    isFixed?: boolean;
    orientation: LayoutOrientation;
};
export declare const ResizeHandler: React.ComponentType<import("@devexperts/utils/dist/object/object").PartialKeys<TResizeHandlerProps, "offset" | "theme">>;
