"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = require("@storybook/react");
var get_render_remote_data_1 = require("../get-render-remote-data");
var react_2 = tslib_1.__importDefault(require("react"));
var react_3 = require("react");
var remote_data_ts_1 = require("@devexperts/remote-data-ts");
var Demo_1 = tslib_1.__importDefault(require("../../demo/Demo"));
var DataStatePending = function () { return react_2.default.createElement("div", null, "pending"); };
var DataStateFailure = function (props) { return react_2.default.createElement("div", null,
    "error: ",
    props.error.message); };
var DataStateNoData = function () { return react_2.default.createElement("div", null, "no data"); };
var RenderRemoteData = get_render_remote_data_1.getRenderRemoteData({
    DataStatePending: DataStatePending,
    DataStateNoData: DataStateNoData,
    DataStateFailure: DataStateFailure,
});
var renderSuccess = function (data) { return react_2.default.createElement("div", null, data); };
react_1.storiesOf('RenderRemoteData', module).add('default', function () { return (react_2.default.createElement(react_3.Fragment, null,
    react_2.default.createElement(Demo_1.default, null,
        react_2.default.createElement(RenderRemoteData, { success: renderSuccess, data: remote_data_ts_1.pending })),
    react_2.default.createElement(Demo_1.default, null,
        react_2.default.createElement(RenderRemoteData, { success: renderSuccess, data: remote_data_ts_1.success('success') })),
    react_2.default.createElement(Demo_1.default, null,
        react_2.default.createElement(RenderRemoteData, { success: renderSuccess, data: remote_data_ts_1.failure(new Error('some test error')) })),
    react_2.default.createElement(Demo_1.default, null,
        react_2.default.createElement(RenderRemoteData, { success: renderSuccess, data: remote_data_ts_1.success(''), noData: function (data) { return !data; } })))); });
//# sourceMappingURL=render-remote-data.page.js.map