"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = require("react");
var rxjs_1 = require("rxjs");
var operators_1 = require("rxjs/operators");
var animationFrame_1 = require("rxjs/internal/scheduler/animationFrame");
// eslint-disable-next-line @typescript-eslint/no-require-imports, @typescript-eslint/no-var-requires
var hoistNonReactStatics = require('hoist-non-react-statics'); // tslint:disable-line no-require-imports no-var-requires
/**
 * @deprecated
 */
function withRX(select) {
    /**
     * @deprecated
     */
    return function (Target) {
        var WithRX = /** @class */ (function (_super) {
            tslib_1.__extends(WithRX, _super);
            function WithRX() {
                var _this = _super !== null && _super.apply(this, arguments) || this;
                _this.props$ = new rxjs_1.BehaviorSubject(_this.props);
                _this.selectResult = select(_this.props$.asObservable());
                _this.input$ = rxjs_1.isObservable(_this.selectResult) ? _this.selectResult : _this.selectResult.props$;
                _this.effect$ = !rxjs_1.isObservable(_this.selectResult) ? _this.selectResult.effects$ : undefined;
                return _this;
            }
            WithRX.prototype.componentDidMount = function () {
                this.inputSubscription = this.input$
                    .pipe(operators_1.observeOn(animationFrame_1.animationFrame))
                    .subscribe(this.setState.bind(this));
                if (this.effect$) {
                    this.effectSubscription = this.effect$.pipe(operators_1.observeOn(animationFrame_1.animationFrame)).subscribe();
                }
            };
            WithRX.prototype.componentWillReceiveProps = function (props) {
                this.props$.next(props);
            };
            WithRX.prototype.componentWillUnmount = function () {
                this.inputSubscription && this.inputSubscription.unsubscribe();
                this.effectSubscription && this.effectSubscription.unsubscribe();
            };
            WithRX.prototype.render = function () {
                return react_1.createElement(Target, Object.assign({}, this.props, this.state));
            };
            WithRX.displayName = "WithRX(" + (Target.displayName || Target.name) + ")";
            return WithRX;
        }(react_1.Component));
        hoistNonReactStatics(WithRX, Target);
        return WithRX;
    };
}
exports.withRX = withRX;
//# sourceMappingURL=with-rx.js.map